Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxinput.c File Reference

`#include "dmx.h"`
`#include "dmxlog.h"`
`#include "dmxinput.h"`
`#include "inputstr.h"`
`#include "input.h"`

## Functions
Bool | LegalModifier (unsigned int key, DevicePtr pDev)
void | InitInput (int argc, char **argv)
void | ProcessInputEvents (void)
void | dmxUpdateWindowInfo (DMXUpdateType type, WindowPtr pWindow)

## Detailed Description

Provide the main entry points for input initialization and processing that arequired by the dix layer.

## Function Documentation

void dmxUpdateWindowInfo | ( | DMXUpdateType | type,
|  | WindowPtr | pWindow
| ) |

| This routine is called from #dmxwindow.c whenever the layout of windows on the display might have changed. This information is used by input drivers (currently only the console driver) that provide information about window layout to the user.

void InitInput | ( | int | argc,
|  | char ** | argv
| ) |

| Called from dix/main.c on each server generation to initialize inputs. All the work is done in dmxInputInit. See also: dmxInputInit()

Bool LegalModifier | ( | unsigned int | key,
|  | DevicePtr | pDev
| ) |

| Returns TRUE if the key is a valid modifier. For PC-class keyboards, all keys can be used as modifiers, so return TRUE always.

void ProcessInputEvents | ( | void |  | ) |

| Called from dix/dispatch.c in Dispatch() whenever input events require processing. All the work is done in the lower level routines.